---
apiVersion: v1
kind: Service
metadata:
  name: kibana
  namespace: kube-logging
  labels:
    app: kibana
spec:
  type: NodePort
  ports:
  - port: 5601
    nodePort: 30000
  selector:
    app: kibana
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: kibana
  namespace: kube-logging
  labels:
    app: kibana
spec:
  replicas: 1
  selector:
    matchLabels:
      app: kibana
  template:
    metadata:
      labels:
        app: kibana
    spec:
      containers:
      - name: kibana
        image: docker.elastic.co/kibana/kibana:8.6.2
        resources:
          limits:
            cpu: 1000m
          requests:
            cpu: 100m
        # env:
        #   - name: ELASTICSEARCH_URL
        #     value: http://elasticsearch:9200
        ports:
        - containerPort: 5601

        volumeMounts:
        - name: config
          mountPath: /usr/share/kibana/config/kibana.yml
          readOnly: true
          subPath: kibana.yml

      volumes:
      - name: config
        configMap:
          defaultMode: 0640
          name: kibana-config
